<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('business_settings', function (Blueprint $table) {
            $table->integer('minimum_working_hours')->default(9)->after('currency_symbol'); // Including lunch break usually
            $table->time('standard_punch_in_time')->default('09:30:00')->after('minimum_working_hours');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('business_settings', function (Blueprint $table) {
            $table->dropColumn(['minimum_working_hours', 'standard_punch_in_time']);
        });
    }
};
